/*
01 TYPOGRAPHY SYSTEM
FONT SIZE 
FONT WEIGHTS 
LINE HEIGHTS
SPACE SYSTEM 

02 PRIMARY :#e67e22 
  TINTS 
  SHADES 
  ACCENTS 
  GREY 

03 for images use unsplash.com
04 costumers - ui faces 
05 shadows 
06 border- radius 
07 whitespace
   space system(px)

*/

*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
/* below commmand decides the size of 1 rem */
html{
  /* font-size: 10px; */
  /* 1 rem = 10px */
  font-size: 62.5%;
  /* 1 rem = 10px */
  /* 1 rem = 62.5% of 16px */
}

body {
  font-family:  sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;  
}
/* .test{
  background-color: red;
  padding: 100px;
  /* width: 1000px; */
  /* max-width: 1000px; */
  /* max-width: 50rem;
  color: #fff;
  font-size: 2rem;
  padding: 4rem; */
  /*by deault 1 rem = 16px
    50 rem = 16*50 px
  */
/* }*/ 

/* ************** */
/* general reusable components */
/* ************** */
.container{
  max-width: 120rem;
  margin: 0 auto;
  /* margin: 0 3.2rem; */
}
.grid{
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}
.grid--2-cols{
  grid-template-columns: repeat(2,1fr);
}
.grid--3-cols{
  grid-template-columns: repeat(3,1fr);
}
.grid--4-cols{
  grid-template-columns: repeat(4,1fr);
}
.grid--center-v{
  align-items: center;
}
.heading-primary, .heading-secondary , .heading-tertiary{
  font-weight: 700;
  color: #333;
  /* color:#2e1907 ; */
  letter-spacing: -0.5px;
}
.heading-primary{
  font-size: 5.2rem;
  font-weight: 700;
  line-height: 1.05;
  color: #333;
  letter-spacing: -0.5px;
  margin-bottom: 3.2rem;
}

.heading-secondary{
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
  
}
.subheading{
  display: block;
  font-size: 2rem;
  font-weight: 500;
  color : #cf711f;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75;
}
.btn:link,.btn:visited{
  display: inline-block;
  background-color: #e67e22;
  color: #fff;
  text-decoration: none;
  font-size: 2rem;
  font-weight: 600;
  padding: 1.6rem 3.2rem;
  border-radius: 0.9rem;
/* put transition on original "state" */
  transition: background-color 0.3s;
}

.btn--full:link , .btn--full:visited{
  background-color: #e67e22;
  color: #fff;
}
.btn--full:hover , .btn--full:active{
  background-color: #cf711f;
  color: #fff;
}
.btn--outline:link , .btn--outline:visited{
  background-color: #fff;
  color: #555;
}
.btn--outline:hover , .btn--outline:active{
  background-color: #fdf2e9;
  /* border: 3px solid #fff; */
  /* trick to add border inside */
  box-shadow: inset  0 0 0 3px #fff;
}
.margin-right-sm{
  margin-right: 1.6rem !important;
}

.heading-tertiary{
  font-size: 3.6rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}